Bug 1027172 - [ppc] FTBFS: ghc panics with "Cant do annotations without GHCi"
[ppc] FTBFS: ghc panics with "Cant do annotations without GHCi"
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ghc-uniplate (Show other bugs)
20
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-06 05:21 EST by Karsten Hopp
Modified: 2013-11-11 19:29 EST (History)
2 users (show)

See Also:
Fixed In Version: ghc-uniplate-1.6.10-4.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-11 19:29:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2013-11-06 05:21:59 EST
Description of problem:
[ 2 of 21] Compiling Data.Generics.Uniplate.Internal.Utils ( Data/Generics/Uniplate/Internal/Utils.hs, dist/build/Data/Generics/Uniplate/Internal/Utils.o )
ghc: panic! (the 'impossible' happened)
  (GHC version 7.6.3 for powerpc64-unknown-linux):
	Cant do annotations without GHCi
    {Data/Generics/Uniplate/Internal/Utils.hs:27:19-33}
    base:GHC.Exts.ForceSpecConstr{d rbCb}
Please report this as a GHC bug:  http://www.haskell.org/ghc/reportabug

Version-Release number of selected component (if applicable):
ghc-uniplate-1.6.10-3.fc20

How reproducible:
always

Steps to Reproduce:
1. ppc-koji build --scratch f20 ghc-uniplate-1.6.10-3.fc20.src.rpm
2.
3.

Actual results:
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=1511028

Expected results:


Additional info:
Most likely this package needs an exclusivearch %{ghc_arches_with_ghci}, but if can fix it with some patch, even better.
Comment 1 Jens Petersen 2013-11-06 23:33:45 EST
Thanks for the report.

Yeah I am not sure about the implication of this annotation.
Let me try to patch it out on secondary archs and see
if that helps - hopefully it won't cause too many problems.
I see Debian unstable already does this.
Comment 2 Fedora Update System 2013-11-07 00:32:33 EST
ghc-uniplate-1.6.10-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ghc-uniplate-1.6.10-4.fc20
Comment 3 Fedora Update System 2013-11-07 14:12:16 EST
Package ghc-uniplate-1.6.10-4.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ghc-uniplate-1.6.10-4.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20888/ghc-uniplate-1.6.10-4.fc20
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-11-11 19:29:49 EST
ghc-uniplate-1.6.10-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.